#ifndef WINDOW_HPP
#define WINDOW_HPP

// Includes
#include "iostream"
#include <SDL3/SDL.h>

// Constants
const int window_width = 800;
const int window_height = 600;

// Variables
const SDL_WindowFlags window_flags = SDL_WINDOW_OPENGL | SDL_WINDOW_RESIZABLE | SDL_WINDOW_HIDDEN | SDL_WINDOW_HIGH_PIXEL_DENSITY;
extern float main_scale;
extern SDL_Window* window;
extern SDL_Event event;

// Functions
int initialize_sdl();
void cleanup_sdl();

#endif